function [x,k,converge] = gauss_seidel_tridiag(n,a,b,itermax,tolerance)
    x = zeros(n,1); xsuiv = x;
    k = 0;
    converge = 0;
    while((~converge)&&(k<itermax))
        s = 0;
        for j = 2:n
            s = s + a(1,j) * x(j);
        end
        xsuiv(1) = (b(1) - s)/a(1,1);

        for i = 2:n
            s = 0;
            for j = (i+1):n
                s = s + a(i,j) * x(j);
            end

            for j = 1:(i-1)
                s = s + a(i,j) * xsuiv(j);
            end
            xsuiv(i) = (b(i) - s)/a(i,i);
        end
        ecart = norm(xsuiv-x);
        converge = (ecart < tolerance);
        k = k + 1;
        x = xsuiv;
    end
end

